Subject: Re: crontab error
From: "Chuck Hamilton" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 23 May 2003 13:04:54 -0400

Here is the output from cyhcheck -svr:

$ cygcheck -svr

Cygwin Win95/NT Configuration Diagnostics
Current System Time: Fri May 23 13:02:38 2003

Windows 2000 Professional Ver 5.0 Build 2195 Service Pack 3

Path:   d:\cygwin\bin
        d:\cygwin\usr\sbin
        d:\Perl\bin
        c:\program files\javasoft\jre\1.3.1_04\bin
        d:\oracle\ora920\bin
        d:\Program Files\Oracle\jre\1.3.1\bin
        d:\Program Files\Oracle\jre\1.1.8\bin
        d:\oracle\ora817\bin
        d:\oracle\oem901\bin
        c:\Program Files\Oracle\jre\1.1.7\bin
        c:\WINNT\system32
        c:\WINNT
        c:\WINNT\System32\Wbem
        c:\Program Files\Common Files\Attachmate Shared
        c:\Program Files\Hummingbird\Connectivity\7.10\Accessories\
        d:\cygwin\cygdrive
        d:\cygwin\usr\home\isscha\bin

d:\cygwin\bin\id.exe output (nontsec)
UID: 400(isscha)  GID: 401(mkpasswd)
401(mkpasswd)

d:\cygwin\bin\id.exe output (ntsec)
UID: 400(isscha)  GID: 401(mkpasswd)
401(mkpasswd)

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

HOME = `d:\cygwin\usr\home\isscha'

ALLUSERSPROFILE = `C:\Documents and Settings\All Users'
APPDATA = `C:\Documents and Settings\isscha\Application Data'
BMC_GLOBALC_HOME = `d:\Program Files\BMC Software\common\globalc'
COMMONPROGRAMFILES = `C:\Program Files\Common Files'
COMPUTERNAME = `QSD052234'
COMSPEC = `C:\WINNT\system32\cmd.exe'
EDITOR = `vi'
GC_LOCALEDIR = `d:\Program Files\BMC
Software\common\globalc\locale\Windows-x86'
HOMEDRIVE = `H:'
HOMEPATH = `\'
HOMESHARE = `\\WCHWF70\ISSCHA$'
LOGONSERVER = `\\WCHWP01'
NUMBER_OF_PROCESSORS = `1'
ORACLE_SID = `isscha'
OS2LIBPATH = `C:\WINNT\system32\os2\dll;'
OS = `Windows_NT'
PATHEXT = `.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH'
PATROL_GC_VERSION = `v3.1.1'
PATROL_HOME = `d:\PROGRA~1\BMCSOF~1\PATROL~1\'
PATROL_TEMP = `d:\PROGRA~1\BMCSOF~1\PATROL~1\tmp'
PROCESSOR_ARCHITECTURE = `x86'
PROCESSOR_IDENTIFIER = `x86 Family 6 Model 7 Stepping 3, GenuineIntel'
PROCESSOR_LEVEL = `6'
PROCESSOR_REVISION = `0703'
PROGRAMFILES = `C:\Program Files'
PROMPT = `$P$G'
RTSERVERS = `tcp:esmcspri:2059'
SMS_LOCAL_DIR = `C:\WINNT'
SYSTEMDRIVE = `C:'
SYSTEMROOT = `C:\WINNT'
TARGET = `Windows-x86'
TEMP = `c:\DOCUME~1\isscha\LOCALS~1\Temp'
TERM = `cygwin'
TMP = `c:\DOCUME~1\isscha\LOCALS~1\Temp'
USERDOMAIN = `QVCDEV'
USERNAME = `isscha'
USERPROFILE = `C:\Documents and Settings\isscha'
WINDIR = `C:\WINNT'
WV_GATEWAY_CFG = `D:\oracle\ora920\Apache\modplsql\cfg\wdbsvr.app'
_ = `/usr/bin/cygcheck'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000022
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `d:\cygwin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/cygdrive/m
  (default) = `\\wchwt09\c$'
  flags = 0x0000010a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `d:\cygwin/bin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `d:\cygwin/lib'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Program Options

a:  fd           N/A    N/A
c:  hd  NTFS    5012Mb  96% CP CS UN PA FC     OS
d:  hd  NTFS    9309Mb  76% CP CS UN PA FC     Client Data
e:  hd  NTFS    3152Mb  49% CP CS UN PA FC     Local Disk
f:  hd  NTFS    2997Mb  70% CP CS UN PA FC     Local Disk
g:  cd           N/A    N/A
h:  net NTFS   301320Mb  93% CP CS UN PA FC     Home H
p:  net NTFS   78132Mb  82% CP CS UN PA FC     EMC_Disk2
q:  net NTFS   357159Mb  93% CP CS UN PA FC     Common G
s:  net NTFS   357159Mb  93% CP CS UN PA FC     Common G
w:  net NTFS   100442Mb  34% CP CS UN PA FC     Apps F

d:\cygwin      /            system  binmode
\\wchwt09\c$   /cygdrive/m  system  binmode
d:\cygwin/bin  /usr/bin     system  binmode
d:\cygwin/lib  /usr/lib     system  binmode
.              /cygdrive    system  binmode,cygdrive

Found: d:\cygwin\bin\awk.exe
Found: d:\cygwin\bin\bash.exe
Found: d:\cygwin\bin\cat.exe
Found: d:\cygwin\bin\cp.exe
Found: d:\cygwin\bin\cpp.exe
Found: d:\cygwin\bin\find.exe
Found: d:\cygwin\bin\gcc.exe
Found: d:\cygwin\bin\gdb.exe
Found: d:\cygwin\bin\grep.exe
Found: d:\cygwin\bin\ld.exe
Found: d:\cygwin\bin\ls.exe
Not Found: make
Found: d:\cygwin\bin\mv.exe
Found: d:\cygwin\bin\rm.exe
Found: d:\cygwin\bin\sed.exe
Found: d:\cygwin\bin\sh.exe
Found: d:\cygwin\bin\tar.exe
Found: c:\Program Files\Hummingbird\Connectivity\7.10\Accessories\tar.exe
Warning: d:\cygwin\bin\tar.exe hides c:\Program
Files\Hummingbird\Connectivity\7.10\Accessories
exe

   58k 2002/05/07 d:\cygwin\bin\cygbz2-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygbz2-1.dll" v0.0 ts=2002/5/7 2:33
  848k 2003/04/11 d:\cygwin\bin\cygcrypto-0.9.7.dll - os=4.0 img=1.0 sys=4.0
                  "cygcrypto-0.9.7.dll" v0.0 ts=2003/4/11 6:33
  645k 2003/04/11 d:\cygwin\bin\cygcrypto.dll - os=4.0 img=1.0 sys=4.0
                  "cygcrypto.dll" v0.0 ts=2003/4/11 6:37
   45k 2001/04/25 d:\cygwin\bin\cygform5.dll - os=4.0 img=1.0 sys=4.0
                  "cygform5.dll" v0.0 ts=2001/4/25 1:28
   35k 2002/01/09 d:\cygwin\bin\cygform6.dll - os=4.0 img=1.0 sys=4.0
                  "cygform6.dll" v0.0 ts=2002/1/9 1:03
   76k 2003/03/09 d:\cygwin\bin\cygform7.dll - os=4.0 img=1.0 sys=4.0
                  "cygform7.dll" v0.0 ts=2003/3/9 15:51
   28k 2003/03/22 d:\cygwin\bin\cyggdbm-3.dll - os=4.0 img=1.0 sys=4.0
                  "cyggdbm-3.dll" v0.0 ts=2003/3/22 17:19
   19k 2003/03/22 d:\cygwin\bin\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
                  "cyggdbm.dll" v0.0 ts=2002/2/19 22:05
   15k 2003/03/22 d:\cygwin\bin\cyggdbm_compat-3.dll - os=4.0 img=1.0
sys=4.0
                  "cyggdbm_compat-3.dll" v0.0 ts=2003/3/22 17:22
   17k 2001/06/28 d:\cygwin\bin\cyghistory4.dll - os=4.0 img=1.0 sys=4.0
                  "cyghistory4.dll" v0.0 ts=2001/1/6 23:34
   20k 2002/10/10 d:\cygwin\bin\cyghistory5.dll - os=4.0 img=1.0 sys=4.0
                  "cyghistory5.dll" v0.0 ts=2002/10/10 13:28
  929k 2002/06/24 d:\cygwin\bin\cygiconv-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygiconv-2.dll" v0.0 ts=2002/6/24 14:24
   22k 2001/12/13 d:\cygwin\bin\cygintl-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygintl-1.dll" v0.0 ts=2001/12/13 4:28
   28k 2002/09/20 d:\cygwin\bin\cygintl-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygintl-2.dll" v0.0 ts=2002/9/19 23:13
   26k 2001/04/25 d:\cygwin\bin\cygmenu5.dll - os=4.0 img=1.0 sys=4.0
                  "cygmenu5.dll" v0.0 ts=2001/4/25 1:27
   20k 2002/01/09 d:\cygwin\bin\cygmenu6.dll - os=4.0 img=1.0 sys=4.0
                  "cygmenu6.dll" v0.0 ts=2002/1/9 1:03
   48k 2003/03/09 d:\cygwin\bin\cygmenu7.dll - os=4.0 img=1.0 sys=4.0
                  "cygmenu7.dll" v0.0 ts=2003/3/9 15:51
  156k 2001/04/25 d:\cygwin\bin\cygncurses++5.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses++5.dll" v0.0 ts=2001/4/25 1:29
  175k 2002/01/09 d:\cygwin\bin\cygncurses++6.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses++6.dll" v0.0 ts=2002/1/9 1:03
  226k 2001/04/25 d:\cygwin\bin\cygncurses5.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses5.dll" v0.0 ts=2001/4/25 1:17
  202k 2002/01/09 d:\cygwin\bin\cygncurses6.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses6.dll" v0.0 ts=2002/1/9 1:03
  284k 2003/03/09 d:\cygwin\bin\cygncurses7.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses7.dll" v0.0 ts=2003/3/9 15:50
   15k 2001/04/25 d:\cygwin\bin\cygpanel5.dll - os=4.0 img=1.0 sys=4.0
                  "cygpanel5.dll" v0.0 ts=2001/4/25 1:27
   12k 2002/01/09 d:\cygwin\bin\cygpanel6.dll - os=4.0 img=1.0 sys=4.0
                  "cygpanel6.dll" v0.0 ts=2002/1/9 1:03
   31k 2003/03/09 d:\cygwin\bin\cygpanel7.dll - os=4.0 img=1.0 sys=4.0
                  "cygpanel7.dll" v0.0 ts=2003/3/9 15:50
   63k 2003/04/11 d:\cygwin\bin\cygpcre.dll - os=4.0 img=1.0 sys=4.0
                  "cygpcre.dll" v0.0 ts=2003/4/11 4:31
   61k 2003/04/11 d:\cygwin\bin\cygpcreposix.dll - os=4.0 img=1.0 sys=4.0
                  "cygpcreposix.dll" v0.0 ts=2003/4/11 4:31
  108k 2001/06/28 d:\cygwin\bin\cygreadline4.dll - os=4.0 img=1.0 sys=4.0
                  "cygreadline4.dll" v0.0 ts=2001/1/6 23:34
  127k 2002/10/10 d:\cygwin\bin\cygreadline5.dll - os=4.0 img=1.0 sys=4.0
                  "cygreadline5.dll" v0.0 ts=2002/10/10 13:28
  176k 2003/04/11 d:\cygwin\bin\cygssl-0.9.7.dll - os=4.0 img=1.0 sys=4.0
                  "cygssl-0.9.7.dll" v0.0 ts=2003/4/11 6:33
  165k 2003/04/11 d:\cygwin\bin\cygssl.dll - os=4.0 img=1.0 sys=4.0
                  "cygssl.dll" v0.0 ts=2003/4/11 6:37
   50k 2002/03/12 d:\cygwin\bin\cygz.dll - os=4.0 img=1.0 sys=4.0
                  "cygz.dll" v0.0 ts=2002/3/11 23:38
  948k 2003/03/18 d:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2003/3/18 9:20
    Cygwin DLL version info:
        DLL version: 1.3.22
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 78
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix:
        Build date: Tue Mar 18 09:20:11 EST 2003
        CVS tag: dontuse-21
        Shared id: cygwin1S3

Cygwin Package Information
Last downloaded files to: d:\cygwin-packages
Last downloaded files from: ftp://archive.progeny.com/cygwin

Package              Version
_update-info-dir     00164-1
ash                  20020731-1
base-files           1.3-1
base-passwd          1.1-1
bash                 2.05b-9
binutils             20030307-1
bzip2                1.0.2-2
cron                 3.0.1-9
crypt                1.0-1
cygrunsrv            0.96-1
cygwin               1.3.22-1
diffutils            2.8.1-1
fileutils            4.1-1
findutils            4.1.7-4
gawk                 3.1.2-2
gcc                  3.2-3
gcc-mingw            20020817-5
gdb                  20030303-1
gdbm                 1.8.0-5
gnupg                1.2.1-1
grep                 2.5-1
groff                1.18.1-2
gzip                 1.3.3-4
less                 378-1
libbz2_1             1.0.2-2
libgdbm              1.8.0-5
libgdbm-devel        1.8.0-5
libgdbm3             1.8.3-1
libiconv2            1.8-2
libintl1             0.10.40-1
libintl2             0.11.5-1
libncurses5          5.2-1
libncurses6          5.2-8
libncurses7          5.3-1
libreadline4         4.1-2
libreadline5         4.3-2
login                1.8-1
man                  1.5j-2
mc                   4.6.0-2
mingw-runtime        3.0-1
mktemp               1.4-1
ncurses              5.3-1
openssl              0.9.7b-1
openssl096           0.9.6j-1
pcre                 4.1-1
pdksh                5.2.14-2
pine                 4.55-1
readline             4.3-2
sed                  4.0.7-1
sh-utils             2.0.15-3
shutdown             1.2-2
ssmtp                2.38.7-3
tar                  1.13.25-1
tcltk                20030214-1
termcap              20020930-1
terminfo             5.3-2
texinfo              4.2-4
textutils            2.0.21-1
vim                  6.1.300-1
w32api               2.3-1
which                1.5-1
zlib                 1.1.4-1
----- Original Message ----- 
From: "Igor Pechtchanski" <[email-masked]>
To: "Chuck Hamilton" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, May 23, 2003 9:00 AM
Subject: Re: crontab error

> Chuck,
>
> Are your /etc/passwd and /etc/group files up to date?  The output of
> "cygcheck -svr" (*attached*, as per <http://cygwin.com/problems.html>)
> should show whether this is the case.
> Igor
>
> On Fri, 23 May 2003, Chuck Hamilton wrote:
>
> > Didn't even know I was addressing a mailing list. I posted originally to
a
> > newsgroup. Anyway, here's the output.
> >
> > $ crontab -l
> > no crontab for isscha
> >
> > As I said in a previous post I haven't been able to create a crontab.
When I
> > try I get a permissions error. See below.
> >
> > $ cat /tmp/crontab.1448
> > 50 8 * * * ~isscha/bin/test.sh
> >
> > $ crontab /tmp/crontab.1448
> > chown: Invalid argument
> > $
> >
> >
> > ----- Original Message -----
> > From: Harig, Mark A.
> > To: Chuck Hamilton
> > Cc: [email-masked]
> > Sent: Wednesday, May 21, 2003 3:43 PM
> > Subject: RE: crontab error
> >
> >
> > Please address all replies to [email-masked].
> >
> > Please send to the mailing list the following as attachments:
> >
> > 1. The output of 'crontab -l' ("ell", not "one")
> >
> > 2. The output of 'cygcheck -srv > cygcheck.txt'
> >
> > This information will help readers of the mailing list to
> > diagnose the problem that you are having.
> > -----Original Message-----
> > From: Chuck Hamilton [mailto:[email-masked]]
> > Sent: Wednesday, May 21, 2003 3:13 PM
> > To: Harig, Mark
> > Subject: Re: crontab error
> >
> >
> > Here's what I get...
> >
> > Your computer does not appear to have a crontab for isscha.
> > Please generate a crontab for isscha using 'crontab -e',
> > and run this script again.
> >
> > So I again try to generate a crontab with just a comment line in it and
get
> > this...
> >
> > $ crontab -e
> > crontab: installing new crontab
> > chown: Invalid argument
> > crontab: edits left in /tmp/crontab.1660
> >
> >
> > ----- Original Message -----
> > From: "Harig, Mark A." <[email-masked]>
> > To: "Chuck" <[email-masked]>; <[email-masked]>
> > Sent: Wednesday, May 21, 2003 12:06 PM
> > Subject: RE: crontab error
> >
> >
> > Please run the attached script.
> > It will check some file permissions
> > and other details that need to be
> > set up properly in order for cron to
> > work.  It does NOT change anything
> > on your computer, but only diagnoses.
> > You may need to run it several times
> > until it completes successfully (it
> > will stop any time it finds a problem
> > and report to you what problem needs
> > to be corrected).
> >
> > > -----Original Message-----
> > > From: Chuck [mailto:[email-masked]]
> > > Sent: Wednesday, May 21, 2003 9:27 AM
> > > To: [email-masked]
> > > Subject: crontab error
> > >
> > >
> > > I need a little help getting cron to work. My apologies if
> > > this is answered
> > > somewhere else but I haven't been able to find it.
> > >
> > > I've installed cron as a win2k service using "cygrunsrv -I cron -p
> > > /usr/sbin/cron -a -D -d "Cygwin cron" -e "CYGWIN=tty ntsec" "
> > > as suggested
> > > in another post. When I try to start the service I get "Could
> > > not start the
> > > cygwin cron service on local computer. The service did not
> > > return an error.
> > > This could be an internal Windows error or an internal service error."
> > >
> > > When I try to create a crontab file with "crontab -e" and
> > > save it I get the
> > > following error "chown: Invalid argument".
> > >
> > > What do I need to do to fix these?
> > >
> > >
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Problem reports:       http://cygwin.com/problems.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
>
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/